Skip to main content
PUT
Update bulk operation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

If-Match
string

ETag value for optimistic concurrency control.

Path Parameters

id
string
required

Bulk operation ID.

Query Parameters

fields
enum<string>[]

Fields to include in the response.

Available options:
NONE

Body

application/json

Delete a set of rules in bulk.

type
enum<string>
required

Discriminator for the operation type. Must be deleteRule for this operation.

Available options:
deleteRule
ruleIds
string<uuid>[]

List of rule IDs to operate on. These will be put into the operation in addition to the rules matching the specification, if any.

A rule's UUID.

ruleExternalIds
string[]

List of rule external IDs to operate on. These will be put into the operation in addition to the rules matching the specification or referenced by ruleIds, if any.

A rule's external ID.

excludeRuleIds
string<uuid>[]

List of rule IDs to exclude from the operation. These will be excluded even if they match the specification or are included in ruleIds.

A rule's UUID to exclude.

excludeRuleExternalIds
string[]

List of rule external IDs to exclude from the operation. These will be excluded even if they match the specification, are included in ruleIds, or are included in ruleExternalIds.

A rule's external ID to exclude.

specification
object

Filter for rules.

Response

200 - */*

OK

Summary of a bulk delete rule operation.

type
enum<string>
required

Discriminator for the operation type. Is deleteRule for this operation.

Available options:
deleteRule
id
string<uuid>

Entity id.

createdBy
string

User who created the entity.

creationDate
string<date-time>

Date when the entity was created.

lastModifiedBy
string

User who last updated the entity.

lastModified
string<date-time>

Date when the entity was last updated.

status
enum<string>

Current status of the bulk operation.

Available options:
PENDING,
WAITING,
COMPLETED,
COMPLETED_WITH_ERRORS,
FAILED
lastHeartbeat
string<date-time>

Last time the heartbeat was sent for this bulk operation.

errorMessage
string | null

User friendly message if the bulk operation failed or completed with errors. null if the operation has not failed.

rules
object[]

List of rules and their individual status in this bulk operation.